Email, calendar & files · Calendar

Get an event

Fetches an event.

GEThttps://api.pozy.ai/v1/calendar/events/{eventId}
getCalendarEvent

Guides: Calendar, Email, calendar & files, Google Workspace

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the calendar resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
eventIdrequiredstring

Query parameters

NameTypeNotes
accountIdrequiredstring
calendarIdstring
timezonestring

Example

curl -X GET "https://api.pozy.ai/v1/calendar/events/60c89d0a2e8d4a8ebed77064?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • dataobject
    26 child fields
    • idstring
    • accountIdstring
    • providerstring

      One of google, microsoft.

    • calendarIdstring
    • titlestring
    • descriptionstring

      Can be null.

    • locationstring

      Can be null.

    • startstring
    • endstring
    • allDayboolean
    • timezonestring

      Can be null.

    • participantsarray of object
      4 child fields
      • emailstring (email)required
      • namestring

        Can be null.

      • statusstring

        One of accepted, declined, tentative, pending.

      • commentstring

        Can be null.

    • organizerobject

      One of:

      Email Address (2 fields)
      • emailstring (email)required
      • namestring

        Can be null.

    • recurrencearray of string

      Can be null.

    • remindersobject
      2 child fields
      • useDefaultboolean
      • overridesarray of object
        1 child field
        • minutesinteger
    • conferencingobject

      Can be null.

      2 child fields
      • providerstring

        One of google_meet, teams, other.

      • urlstring (URL)
    • busyboolean
    • visibilitystring

      One of default, public, private.

    • statusstring

      One of confirmed, tentative, cancelled.

    • icalUidstring

      Can be null.

    • masterEventIdstring

      Can be null.

    • htmlLinkstring

      Can be null.

    • readOnlyboolean
    • metadatamap of string
    • createdAtstring (date-time)

      Can be null.

    • updatedAtstring (date-time)

      Can be null.

200 response
{
  "data": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "provider": "google",
    "calendarId": "62fb57b5bc06db0fb2aad799",
    "title": "Launch day",
    "description": "A short description",
    "location": "string",
    "start": "string",
    "end": "string",
    "allDay": true,
    "timezone": "America/New_York",
    "participants": [
      {
        "email": "alex@example.com",
        "name": "Acme",
        "status": "accepted",
        "comment": "string"
      }
    ],
    "organizer": {
      "email": "alex@example.com",
      "name": "Acme"
    },
    "recurrence": [
      "string"
    ],
    "reminders": {
      "useDefault": true,
      "overrides": [
        {
          "minutes": 1
        }
      ]
    },
    "conferencing": {
      "provider": "google_meet",
      "url": "https://pozy.ai/media/example-1.jpg"
    },
    "busy": true,
    "visibility": "default",
    "status": "confirmed",
    "icalUid": "631069e90faa4f2a4fcda778",
    "masterEventId": "6de182ae3f76a86213b04d77",
    "htmlLink": "string",
    "readOnly": true,
    "metadata": {
      "key": "string"
    },
    "createdAt": "2026-10-02T09:00:00.000Z",
    "updatedAt": "2026-10-02T09:00:00.000Z"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Calendar